import * as React from "react";
import { SVGProps } from "react";

const Logo = (props: SVGProps<SVGSVGElement>) => {
  return (
    <svg height={34.256} width={220} className="prefix__iconLeft" {...props}>
      <defs>
        <linearGradient
          gradientUnits="userSpaceOnUse"
          y2={18.201}
          x2={82.631}
          y1={18.201}
          x1={5.274}
          id="prefix__a"
          gradientTransform="scale(1.1376 .87905)"
        >
          <stop stopColor="#A92580" offset="0%" />
          <stop stopColor="#F7BC00" offset="100%" />
        </linearGradient>
      </defs>
      <path
        d="M67.617 20.934q.136.499.136 1.269 0 .725-.136 1.269H65.08q-.136-.544-.136-1.27 0-.77.136-1.268h-1.27q-.135-.544-.135-1.27 0-.77.135-1.267h-3.806q.136.498.136 1.268 0 .725-.136 1.27h3.806q.136.498.136 1.268 0 .725-.136 1.269h-5.074q-.136-.544-.136-1.27 0-.77.136-1.268h-1.27q-.135-.544-.135-1.27 0-.77.136-1.267h1.27q-.137-.544-.137-1.27 0-.77.136-1.268h5.074q-.135-.543-.135-1.268 0-.77.135-1.27h-4.44q-.136-.543-.136-1.268 0-.77.136-1.27h5.71q.135.5.135 1.27 0 .725-.136 1.269h1.27q.135.498.135 1.269 0 .725-.136 1.268.136.499.136 1.269 0 .725-.136 1.269.136.498.136 1.268 0 .725-.136 1.27h1.27zm4.26-8.88q0 .724-.137 1.268h.952q.135.498.135 1.269 0 .725-.135 1.268.135.499.135 1.269 0 .725-.135 1.269.135.498.135 1.268 0 .725-.135 1.27.135.498.135 1.268 0 .725-.135 1.269h-2.538q-.136-.544-.136-1.27 0-.77.136-1.268-.136-.544-.136-1.27 0-.77.136-1.267-.136-.544-.136-1.27 0-.77.136-1.268-.136-.543-.136-1.268 0-.77.136-1.27-.136-.543-.136-1.268 0-.77.136-1.27h1.586q.136.5.136 1.27zm3.488 0q0 .724-.136 1.268h.952q.135.498.135 1.269 0 .725-.135 1.268.135.499.135 1.269 0 .725-.135 1.269.135.498.135 1.268 0 .725-.135 1.27.135.498.135 1.268 0 .725-.135 1.269h-1.904q-.135-.544-.135-1.27 0-.77.135-1.268-.135-.544-.135-1.27 0-.77.135-1.267-.135-.544-.135-1.27 0-.77.135-1.268-.135-.543-.135-1.268 0-.77.135-1.27h-1.585q-.136-.543-.136-1.268 0-.77.136-1.27h2.537q.136.5.136 1.27zm4.94 3.805q.135.499.135 1.269 0 .725-.136 1.269.136.498.136 1.268 0 .725-.136 1.27.136.498.136 1.268 0 .725-.136 1.269h-2.538q-.135-.544-.135-1.27 0-.77.135-1.268-.135-.544-.135-1.27 0-.77.135-1.267-.135-.544-.135-1.27 0-.77.135-1.268-.135-.543-.135-1.268 0-.77.135-1.27h-1.585q-.136-.543-.136-1.268 0-.77.136-1.27h2.854q.136.5.136 1.27 0 .725-.136 1.269h1.27q.135.498.135 1.269 0 .725-.136 1.268zm8.88-7.612h-2.537q-.136-.544-.136-1.27 0-.77.136-1.268h2.537q.136.499.136 1.27 0 .724-.136 1.268zm2.537 12.687q.136.499.136 1.269 0 .725-.136 1.269H84.11q-.136-.544-.136-1.27 0-.77.136-1.268h2.538q-.136-.544-.136-1.27 0-.77.136-1.267-.136-.544-.136-1.27 0-.77.136-1.268-.136-.543-.136-1.268 0-.77.136-1.27h-1.904q-.135-.543-.135-1.268 0-.77.135-1.27h4.441q.136.5.136 1.27 0 .725-.136 1.269.136.498.136 1.269 0 .725-.136 1.268.136.499.136 1.269 0 .725-.136 1.269.136.498.136 1.268 0 .725-.136 1.27h2.537zm13.956-7.612q.136.498.136 1.269 0 .725-.136 1.268.136.499.136 1.269 0 .725-.136 1.269.136.498.136 1.268 0 .725-.136 1.27.136.498.136 1.268 0 .725-.136 1.269h-1.268q.136.498.136 1.268 0 .725-.136 1.27h-1.269q.136.498.136 1.268 0 .725-.136 1.269h-5.075q-.136-.544-.136-1.27 0-.77.136-1.268h3.806q-.136-.544-.136-1.27 0-.77.136-1.267h1.27q-.137-.544-.137-1.27 0-.77.136-1.268h-1.269q-.136-.544-.136-1.27 0-.77.136-1.267h1.27q-.137-.544-.137-1.27 0-.77.136-1.268-.136-.543-.136-1.268 0-.77.136-1.27h-4.123q.136.5.136 1.27 0 .725-.136 1.268h-.952q.136.499.136 1.269 0 .725-.136 1.269h.952q.136.498.136 1.268 0 .725-.136 1.27h2.854q.136.498.136 1.268 0 .725-.136 1.269h-3.806q-.136-.544-.136-1.27 0-.77.136-1.268H96.48q-.136-.544-.136-1.27 0-.77.136-1.267h-.95q-.137-.544-.137-1.27 0-.77.136-1.268h.951q-.136-.543-.136-1.268 0-.77.136-1.27h1.586q-.136-.543-.136-1.268 0-.77.136-1.27h7.612q.136.5.136 1.27 0 .725-.136 1.269zm12.824 3.806q0 .725-.136 1.269h-.952q.136.498.136 1.268 0 .725-.136 1.27h-1.586q.136.498.136 1.268 0 .725-.136 1.269h-5.075q-.136-.544-.136-1.27 0-.77.136-1.268h-1.586q-.135-.544-.135-1.27 0-.77.135-1.267h-.95q-.137-.544-.137-1.27 0-.77.136-1.268h.951q-.135-.543-.135-1.268 0-.77.135-1.27h1.586q-.136-.543-.136-1.268 0-.77.136-1.27h5.075q.136.5.136 1.27 0 .725-.136 1.269h1.586q.136.498.136 1.269 0 .725-.136 1.268h.952q.136.499.136 1.269zm-3.625 1.269h.951q-.136-.544-.136-1.27 0-.77.136-1.268h-.95q-.137-.543-.137-1.268 0-.77.136-1.27h-3.172q.136.5.136 1.27 0 .725-.136 1.268h-.952q.136.499.136 1.269 0 .725-.136 1.269h.952q.136.498.136 1.268 0 .725-.136 1.27h3.172q-.136-.545-.136-1.27 0-.77.136-1.268zm7.93-5.075h6.343q.136.498.136 1.269 0 .725-.136 1.268h-6.344q-.136-.543-.136-1.268 0-.77.136-1.27zm20.435 6.343q0 .725-.136 1.27h-1.269q.136.498.136 1.268 0 .725-.136 1.269h-6.978q-.136-.544-.136-1.27 0-.77.136-1.268h5.71q-.136-.544-.136-1.27 0-.77.136-1.267h-5.075q-.136-.544-.136-1.27 0-.77.136-1.268h-1.27q-.135-.543-.135-1.268 0-.77.136-1.27h1.27q-.137-.543-.137-1.268 0-.77.136-1.27h6.978q.136.5.136 1.27 0 .725-.136 1.269h-5.71q.136.498.136 1.269 0 .725-.136 1.268h5.075q.136.499.136 1.269 0 .725-.136 1.269h1.27q.135.498.135 1.268zm8.11 1.27h3.807q.136.498.136 1.268 0 .725-.136 1.269h-5.075q-.136-.544-.136-1.27 0-.77.136-1.268h-1.269q-.136-.544-.136-1.27 0-.77.136-1.267-.136-.544-.136-1.27 0-.77.136-1.268-.136-.543-.136-1.268 0-.77.136-1.27h-2.537q-.136-.543-.136-1.268 0-.77.136-1.27h2.537q-.136-.542-.136-1.267 0-.77.136-1.27-.136-.543-.136-1.268 0-.77.136-1.27h2.538q.136.5.136 1.27 0 .725-.136 1.269.136.498.136 1.269 0 .725-.136 1.268h3.806q.136.499.136 1.27 0 .724-.136 1.268h-3.806q.136.498.136 1.269 0 .725-.136 1.268.136.499.136 1.269 0 .725-.136 1.269.136.498.136 1.268 0 .725-.136 1.27zm17.763 0q.136.498.136 1.268 0 .725-.136 1.269h-2.538q-.135-.544-.135-1.27 0-.77.135-1.268h-1.268q-.136-.544-.136-1.27 0-.77.136-1.267h-3.806q.135.498.135 1.268 0 .725-.135 1.27h3.806q.136.498.136 1.268 0 .725-.136 1.269h-5.075q-.136-.544-.136-1.27 0-.77.136-1.268h-1.269q-.136-.544-.136-1.27 0-.77.136-1.267h1.27q-.137-.544-.137-1.27 0-.77.136-1.268h5.075q-.136-.543-.136-1.268 0-.77.136-1.27h-4.44q-.137-.543-.137-1.268 0-.77.136-1.27h5.71q.135.5.135 1.27 0 .725-.136 1.269h1.27q.135.498.135 1.269 0 .725-.136 1.268.136.499.136 1.269 0 .725-.136 1.269.136.498.136 1.268 0 .725-.136 1.27zm12.687-7.613q.136.498.136 1.269 0 .725-.136 1.268h-2.537q-.136-.543-.136-1.268 0-.77.136-1.27h-2.22q.135.5.135 1.27 0 .725-.136 1.268h-.95q.135.499.135 1.269 0 .725-.136 1.269.136.498.136 1.268 0 .725-.136 1.27h1.903q.136.498.136 1.268 0 .725-.136 1.269h-6.344q-.136-.544-.136-1.27 0-.77.136-1.268h1.903q-.135-.544-.135-1.27 0-.77.135-1.267-.135-.544-.135-1.27 0-.77.135-1.268-.135-.543-.135-1.268 0-.77.135-1.27h-1.903q-.136-.543-.136-1.268 0-.77.136-1.27h3.172q.136.5.136 1.27 0 .725-.136 1.269h1.27q-.137-.544-.137-1.27 0-.77.136-1.268h4.758q.136.499.136 1.27 0 .724-.136 1.268zm7.613 7.612h3.806q.136.499.136 1.269 0 .725-.136 1.269h-5.075q-.136-.544-.136-1.27 0-.77.136-1.268h-1.269q-.136-.544-.136-1.27 0-.77.136-1.267-.136-.544-.136-1.27 0-.77.136-1.268-.136-.543-.136-1.268 0-.77.136-1.27h-2.537q-.136-.543-.136-1.268 0-.77.136-1.27h2.537q-.136-.542-.136-1.267 0-.77.136-1.27-.136-.543-.136-1.268 0-.77.136-1.27h2.538q.136.5.136 1.27 0 .725-.136 1.269.136.498.136 1.269 0 .725-.136 1.268h3.806q.136.499.136 1.27 0 .724-.136 1.268h-3.806q.136.498.136 1.269 0 .725-.136 1.268.136.499.136 1.269 0 .725-.136 1.269.136.498.136 1.268 0 .725-.136 1.27zm17.898-6.343q0 .725-.136 1.268.136.499.136 1.269 0 .725-.136 1.269h-6.66q.135.498.135 1.268 0 .725-.136 1.27h5.392q.136.498.136 1.268 0 .725-.136 1.269h-6.344q-.136-.544-.136-1.27 0-.77.136-1.268h-1.586q-.135-.544-.135-1.27 0-.77.135-1.267h-.95q-.137-.544-.137-1.27 0-.77.136-1.268h.951q-.135-.543-.135-1.268 0-.77.135-1.27h1.586q-.136-.543-.136-1.268 0-.77.136-1.27h6.344q.136.5.136 1.27 0 .725-.136 1.269h1.27q.135.498.135 1.269zm-2.674 1.268q-.136-.543-.136-1.268 0-.77.136-1.27h-4.123q.136.5.136 1.27 0 .725-.136 1.268zm15.225-2.537q.136.498.136 1.269 0 .725-.136 1.268h-2.537q-.136-.543-.136-1.268 0-.77.136-1.27h-2.22q.135.5.135 1.27 0 .725-.136 1.268h-.95q.135.499.135 1.269 0 .725-.136 1.269.136.498.136 1.268 0 .725-.136 1.27h1.903q.136.498.136 1.268 0 .725-.136 1.269h-6.344q-.136-.544-.136-1.27 0-.77.136-1.268h1.903q-.136-.544-.136-1.27 0-.77.136-1.267-.136-.544-.136-1.27 0-.77.136-1.268-.136-.543-.136-1.268 0-.77.136-1.27h-1.903q-.136-.543-.136-1.268 0-.77.136-1.27h3.172q.136.5.136 1.27 0 .725-.136 1.269h1.27q-.137-.544-.137-1.27 0-.77.136-1.268h4.758q.135.499.135 1.27 0 .724-.135 1.268z"
        fill="#2f190e"
      />
      <path
        style={{
          lineHeight: "normal",
          InkscapeFontSpecification: "Sans",
          textIndent: 0,
          textAlign: "start",
          textTransform: "none",
          marker: "none",
        }}
        d="M16 16c-.713 0-1.208.394-1.563.75 0 0-7.547 9.529-7.874 9.875-.35.37-.565.866-.563 1.375v54c0 1.047.953 2 2 2h84c1.047 0 2-.953 2-2V28a2.015 2.015 0 00-.563-1.375c-.327-.346-7.874-9.875-7.874-9.875-.355-.356-.85-.75-1.563-.75zm.969 4H83.03l4.813 6H12.156zM10 30h10v14H10zm14 0h24v14H24zm28 0h24v14H52zm28 0h10v14H80zM10 48h24v14H10zm28 0h24v14H38zm28 0h24v14H66zM10 66h10v14H10zm14 0h24v14H24zm28 0h24v14H52zm28 0h10v14H80z"
        fontWeight={400}
        overflow="visible"
        transform="translate(-3.023 -8.06) scale(.50376)"
        color="#000"
        fontFamily="Sans"
        fill="url(#prefix__a)"
      />
    </svg>
  );
};

export default Logo;
